FcAtomicLock(3)

NAME
FcAtomicLock - lock a file

SYNOPSIS

#include <fontconfig.h>

FcBool FcAtomicLock (FcAtomic *atomic);

DESCRIPTION

Attempts to lock the file referenced by atomic. Returns FcFalse if the file is locked by another process, else returns FcTrue and leaves the file locked.

VERSION

Fontconfig version 2.3.2